#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

########################################################################
# IMPORTANT:                                                           #
# Don't use this script as a normal package                            #
# "./build-tool packages alixmgmt cfkey_local" won't work              #
# This script must be used only with a special call                    #
# ./build-tool gen_local_cfkey alixmgmt                                #
# It is used to compile and use cfkey on the host system               #
########################################################################

##################################################
BUILDDIR="/home/${1}-builder/"
. ${BUILDDIR}buildscripts/functions
BUILDCONFDIR="${BUILDDIR}buildconfig"

VERSION="2.2.10"
SHA1SUM="032bec0bc59ffee7179422e96dfd902afbf94340"
# This is 2.2.9 SHA1SUM="902c337adae872ad8c9e162f86f6a0d1a2083525"
# This is 2.2.8 SHA1SUM="fb1ccf7e2be4ce5e3b5dc364c8fca2e4d09a82f4"
URL="http://www.cfengine.org/downloads"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl db"
##################################################
SCRIPT=${0##*/}
BUILDLOG=${BUILDDIR}buildlogs/${SCRIPT%.sh}.buildlog

usage()
{
     echo "Usage: $0 BOARDNAME"
}

if [ ${#} -eq 0 ] ; then
    usage
    exit 1
fi

echo "`date`: Installing PC package ${SCRIPT}..." | tee -a  ${BUILDLOG}
download_gz cfengine >>${BUILDLOG} 2>&1 &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/cfengine-${VERSION}.tar.gz >>${BUILDLOG} 2>&1 &&

cd cfengine-${VERSION} &&
patch_src cfengine &&

CC="gcc -static" ./configure >>${BUILDLOG} 2>&1 &&
make >>${BUILDLOG} 2>&1
if [ "${?}" -eq "0" ] ; then
    echo "`date`: Installation of ${SCRIPT} complete." | tee -a ${BUILDLOG}
    echo "`date`: Installed as /sbin/cfkey" | tee -a ${BUILDLOG}
else
    echo "`date`: Installscript ${SCRIPT} returned a non-zero state." | tee -a  ${BUILDLOG}
    echo "Fix the instructions in the file above to install the package ${SCRIPT}."
    echo "Stopping the installation of possibly remaining packages for now."
    echo "Aborting..."
    exit -1
fi

#make &&

cp src/cfkey /sbin/cfkey &&

cd ${BUILDDIR} &&
rm -rf cfengine-${VERSION}
