#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.6.0"
SHA1SUM="93752566b8327485b153bd156049614f779b4c57"
URL="http://fontconfig.org/release"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz fontconfig &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/fontconfig-${VERSION}.tar.gz &&
cd fontconfig-${VERSION} &&

patch_src fontconfig &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-arch=${BOARDTARGET} &&
make &&
make DESTDIR=${INSTALLDIR} install &&

mv -v ${INSTALLDIR}/lib/libfontconfig.la ${INSTALLDIR}/usr/lib &&
mv -v ${INSTALLDIR}/lib/libfontconfig.a ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf fontconfig-${VERSION}
