#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="4.2.5"
SHA1SUM="e7ad6afc1ca7b39a512a18f2dc6f2bcda9bf9128"
URL="http://surfnet.dl.sourceforge.net/project/gnuplot/gnuplot/${VERSION}"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz gnuplot &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/gnuplot-${VERSION}.tar.gz &&
cd gnuplot-${VERSION} &&

#patch removes the tool gvpr
patch_src gnuplot &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --without-x --with-gd=${INSTALLDIR}/lib &&

make &&
make DESTDIR=${INSTALLDIR} install &&

target_install_cxx_libs &&

cd ${BUILDDIR} &&
rm -rf gnuplot-${VERSION}
