#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.0.4"
SHA1SUM="78b6b78789eccf42b5deb783bd8a92469d1383e1"
URL="http://surfnet.dl.sourceforge.net/sourceforge/iperf"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

LINUXVERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}


download_gz iperf &&

cd ${BUILDDIR} &&
echo "${SRCDIR}" &&
tar -xzvf ${SRCDIR}/iperf-${VERSION}.tar.gz &&
cd iperf-${VERSION} &&

patch_src iperf &&

CC="${CC}" &&
CFLAGS="-Os -fPIC -fno-builtin -fno-rtti -nostdinc++" &&
CPPFLAGS="-Os -fPIC -Wall" &&
ac_cv_func_malloc_0_nonnull=yes ./configure --host=${BOARDARCH} --target=${CROSS_TARGET} --prefix=/ --with-linux= --libdir=/lib --disable-largefile --includedir=/usr/include &&
make &&

# This is the essential part for C++. C++ libs!
target_install_cxx_libs

# remove setpgrp check due to cross-compilation incompatibility
#sed -e '7062,7133d' -i configure

#CC="${CC} -Os -fPIC" ./configure --host=${CROSS_TARGET} --target=${CROSS_TARGET} --#prefix=/ --libdir=/lib --disable-largefile &&
#make &&

#cp src/netperf src/netserver ../target/sbin/ &&

#cd ${BUILDDIR} &&
#rm -rf netperf-${VERSION}
