#!/bin/bash
# UniBE, IAM, RVS, Author: P.Goode, Z. Zhao, T. Staub
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.9.20"
SHA1SUM="75baf7d5fda2fb4e82c8c979caccc489d0170e45"
# Version 0.9.19 SHA1SUM="4546d9b2d65691fd402d7f478f661bbdde16d9ec"
URL="http://wireless.kernel.org/download/iw"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="alix om1p wrap meraki"
##################################################

supported iw &&
download_bz2 iw &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/iw-${VERSION}.tar.bz2 &&

cd iw-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null
patch_src iw &&



PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" 
CC="${CC} -Os -fPIC" &&
export PKG_CONFIG_PATH &&
make &&
make PREFIX="" DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf iw-${VERSION}
