#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.12"
SHA1SUM="a5738d7dfbbd01c49e8ce026ea4ffa0f01af0179"
URL="http://ftp.gnu.org/pub/gnu/libiconv"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz libiconv &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/libiconv-${VERSION}.tar.gz &&
cd libiconv-${VERSION} &&

patch_src libiconv &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

mv -v ${INSTALLDIR}/lib/libiconv.la ${INSTALLDIR}/usr/lib &&

cd ${BUILDDIR} &&
rm -rf libiconv-${VERSION}
