#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=""
SHA1SUM="7079f0d6c42fad0cfba382cf6ad322add1ace8f9"
URL="ftp://ftp.uu.net/graphics/jpeg"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz jpegsrc.v6b &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/jpegsrc.v6b.tar.gz &&
cd jpeg-6b &&

patch_src libjpeg &&

sed -e 's/-O2/-Os/g' -i configure &&
sed -e 's/mandir = $(prefix)\/man\/man$(manext)/mandir = @mandir@\/man\/man$(manext)/g' -i makefile.cfg &&
sed -e 's/$(INSTALL_DATA) jconfig.h $(includedir)\/jconfig.h/$(INSTALL_DATA) jconfig.h $(DESTDIR)$(includedir)\/jconfig.h/g' -i makefile.cfg &&
sed -e 's/$(INSTALL_DATA) $(srcdir)\/jpeglib.h $(includedir)\/jpeglib.h/$(INSTALL_DATA) $(srcdir)\/jpeglib.h $(DESTDIR)$(includedir)\/jpeglib.h/g' -i makefile.cfg &&
sed -e 's/$(INSTALL_DATA) $(srcdir)\/jmorecfg.h $(includedir)\/jmorecfg.h/$(INSTALL_DATA) $(srcdir)\/jmorecfg.h $(DESTDIR)$(includedir)\/jmorecfg.h/g' -i makefile.cfg &&
sed -e 's/$(INSTALL_DATA) $(srcdir)\/jerror.h $(includedir)\/jerror.h/$(INSTALL_DATA) $(srcdir)\/jerror.h $(DESTDIR)$(includedir)\/jerror.h/g' -i makefile.cfg &&

mkdir -p ${INSTALLDIR}/usr/lib/pkgconfig &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --exec_prefix=${INSTALLDIR} --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --mandir=${INSTALLDIR}/usr &&
make &&
make DESTDIR=${INSTALLDIR} install-lib &&
ranlib ${INSTALLDIR}/lib/libjpeg.a

#cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
#rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf jpeg-6b
