#!/bin/bash

# UniBe, IAM, RVS Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.1.1"
SHA1SUM="18581af5e78a40b7b2c9a6cd8ce40e7cb1cd9c63"
# 1.0.0 SHA1SUM="9893654027ae11033d785045ff35583da43fe8fa"
# 0.8.1 SHA1SUM="50bffcb069ee12f05efae53c418704bf80c4fb6d"
#URL="http://download.softpedia.ro/dl/bc1e4fdf8f52f73882772f33e2b45825/4b90d6a1/500006875/linux/libpcap-1.0.0.tar.gz"
URL="http://www.tcpdump.org/release/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="alix alixmgmt om1p meraki wrap"
##################################################

supported libpcap &&
download_gz libpcap &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/libpcap-${VERSION}.tar.gz &&
cd libpcap-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src libpcap &&

# Update configure to make target linux version number available
LINUXTARGETVER=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -n -e '$s/[^0-9]*//' -e '$s/\..*//p'`
sed -e "7220,7225 s/ac_cv_linux_vers=unknown/ac_cv_linux_vers=${LINUXTARGETVER}/" -i configure &&
# Change above 1.0.0  to 1.1.1 above:  6570,6574 --> 7220,7225 

# Update configure to update the target installation prefix
sed -e "560,565 s|ac_default_prefix=/usr/local|ac_default_prefix=/usr|" -i configure &&

# Force hard links for when run build/install > x1
sed -e "531,556 s/ln/ln -f/" -i Makefile.in &&
# Change 1.0.0 to 1.1.1 above: 455,473 to 531,556

sed -e "571,572 s/\$\$/\$/g" -i Makefile.in &&

#sed -e " /INSTALL_PROGRAM) libpcap.so./ a\
#	ln -sf \$(DESTDIR)\$(libdir)/libpcap.so.\$VER \$(DESTDIR)\$(libdir)/libpcap.so " -i Makefile.in &&

#Assume first part of BOARDTARGET gives type
BOARD=${BOARDTARGET%%-*}
#Assume version nr assumed to have at least 2 parts ("X.Y.n.")
LINUXVER=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -e '$s/\"\([0-9]*.[0-9]*\).*\"/\1/'`

./configure  --host="i686-unknown-linux_$LINUXVER" --target="$BOARD-unknown-linux_$LINUXVER" --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-pcap=linux --disable-largefile &&

make &&
make DESTDIR=${INSTALLDIR} install-shared-so  &&
# make DESTDIR=${INSTALLDIR} install &&   # for installing .a & man pages to target

cd ${BUILDDIR} &&
rm -rf libpcap-${VERSION}
