#!/bin/bash

# UniBe, IAM, RVS Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="5.7"
SHA1SUM="8233ee56ed84ae05421e4e6d6db6c1fe72ee6797"
URL="ftp://sunsite.cnlab-switch.ch/mirror/gnu/ncurses"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="alix alixmgmt om1p meraki wrap"
##################################################

supported ncurses &&
download_gz ncurses &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/ncurses-${VERSION}.tar.gz &&
cd ncurses-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src ncurses &&

#Assume first part of BOARDTARGET gives type
BOARD=${BOARDTARGET%%-*}
#Assume version nr assumed to have at least 2 parts ("X.Y.n.")
LINUXVER=`grep "^VERSION=" ${BUILDDIR}/buildscripts/packages/linux.sh | sed 's/\(VERSION=\)\(.*\)/\2/' | sed -e 's/\"\([0-9]*.[0-9]*\).*\"/\1/'`

CFLAGS+=-D__FORCE_NOGLIBC &&
CPPFLAGS="-I${INSTALLDIR}/usr/include " CC="${CC} -Os -fPIC" ./configure  --host="i686-pc-linux_$LINUXVER" --target="$BOARD-pc-linux_$LINUXVER" --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-shared --enable-termcap &&

make DESTDIR=${INSTALLDIR} &&
make DESTDIR=${INSTALLDIR} install &&

# Remove .a libs to save space (or could do a different make install)
#rm ${INSTALLDIR}/lib/libncurses*.a
#rm ${INSTALLDIR}/lib/libmenu*.a
#rm ${INSTALLDIR}/lib/libform*.a
#rm ${INSTALLDIR}/lib/libpanel*.a

cd ${BUILDDIR} &&
rm -rf ncurses-${VERSION}
