#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.9"
SHA1SUM="8123e48032e7cab0efa31ba23ab4fe38ca9770e2"
URL="http://www.nazgul.ch/dev"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain openssl"
##################################################

download_gz nostromo &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/nostromo-${VERSION}.tar.gz &&
cd nostromo-${VERSION} &&

patch_src nostromo &&

make &&

install -m 755 src/nhttpd/nhttpd ${INSTALLDIR}/sbin &&
install -m 755 src/tools/crypt  ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf nostromo-${VERSION}

