#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=""
SHA1SUM=""
URL=""
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain package1 package2"
##################################################

download_bz2 skel &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/skel-${VERSION}.tar.bz2 &&
cd skel-${VERSION} &&

patch_src skel &&

# build it

# install it

# Install config
# The next line is not wrong, but has no effect on the image
#install -v -m644 files/package.conf.default ${INSTALLDIR}/etc/package.conf &&
# At the moment this is done only in a static manner: check in a reasonable olsrd.conf in config/common/etc/package.conf
# If you need differeent for different nodetypes use config/<nodetype>/etc/package.conf
# For supporting the above line we would need a dynamic set of configfiles which makes it much trickier to generate config-images.
# At the moment some unused configfiles don't matter, as they are small, even if the software isn't installed.
# Example with another package: you have a hostapd.conf wheter you build hostapd or not. 
# Another advantage of this static case is that we have full control over all config files.

cd ${BUILDDIR} &&
rm -rf skel-${VERSION}

