#!/bin/sh

DATE=`date "+%Y%m%d"`
TIME=`date "+%Y%m%d-%H%M%S"`
HOSTNAME=`hostname`
DESTINATION=195.176.3.82
DIR=/root/logs


write_traceroute()
{
	NAME="traceroute"
	FILE=${DIR}/${HOSTNAME}.${NAME}.${DATE}
	
	print_header "traceroute" ${FILE}
	printf "${TIME}" >> $FILE
    traceroute ${DESTINATION} | awk 'NR > 1 {print $0}' | tr '\n' '\t;' >> ${FILE}
    printf "\n" >> $FILE

}


print_header()
{
	if [ ! -f ${2} ] ; then
		case "${1}" in
			traceroute)
				printf "Traceroute from ${HOSTNAME} to ${DESTINATION}\n" > ${2}
				;;	
			esac
		fi	
}


if [ ! -d ${DIR} ] ; then
        mkdir -p ${DIR}
fi

write_traceroute

